Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface SnapshotPackage

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SnapshotPackageImpl

    public interface SnapshotPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SnapshotFactory`

Nested Class Summary
`static interface` | `SnapshotPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `COMPOSITE_EVENT` The meta object id for the '`Composite Event`' class.
`static int` | `COMPOSITE_EVENT__DERIVATIONS` The feature id for the 'Derivations' containment reference list.
`static int` | `COMPOSITE_EVENT__DETAILS` The feature id for the 'Details' attribute.
`static int` | `COMPOSITE_EVENT__DIRECT_POST` The feature id for the 'Direct Post' attribute.
`static int` | `COMPOSITE_EVENT__ID` The feature id for the 'Id' attribute.
`static int` | `COMPOSITE_EVENT__NAME` The feature id for the 'Name' attribute.
`static int` | `COMPOSITE_EVENT__PART_ROLE` The feature id for the 'Part Role' attribute.
`static int` | `COMPOSITE_EVENT__PARTS` The feature id for the 'Parts' containment reference list.
`static int` | `COMPOSITE_EVENT__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `COMPOSITE_EVENT_FEATURE_COUNT` The number of structural features of the 'Composite Event' class.
`static int` | `DERIVATION` The meta object id for the '`Derivation`' class.
`static int` | `DERIVATION__HANDLER` The feature id for the 'Handler' reference.
`static int` | `DERIVATION__INPUTS` The feature id for the 'Inputs' reference list.
`static int` | `DERIVATION_FEATURE_COUNT` The number of structural features of the 'Derivation' class.
`static SnapshotPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `EVENT` The meta object id for the '`Event`' class.
`static int` | `EVENT__DERIVATIONS` The feature id for the 'Derivations' containment reference list.
`static int` | `EVENT__DETAILS` The feature id for the 'Details' attribute.
`static int` | `EVENT__DIRECT_POST` The feature id for the 'Direct Post' attribute.
`static int` | `EVENT__ID` The feature id for the 'Id' attribute.
`static int` | `EVENT__NAME` The feature id for the 'Name' attribute.
`static int` | `EVENT__PART_ROLE` The feature id for the 'Part Role' attribute.
`static int` | `EVENT__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `EVENT_FEATURE_COUNT` The number of structural features of the 'Event' class.
`static int` | `EXTRACTOR` The meta object id for the '`Extractor`' class.
`static int` | `EXTRACTOR__COST` The feature id for the 'Cost' attribute.
`static int` | `EXTRACTOR__DETAILS` The feature id for the 'Details' attribute.
`static int` | `EXTRACTOR__ID` The feature id for the 'Id' attribute.
`static int` | `EXTRACTOR__NAME` The feature id for the 'Name' attribute.
`static int` | `EXTRACTOR__PARAMETER_INDICES` The feature id for the 'Parameter Indices' attribute list.
`static int` | `EXTRACTOR__PARTS` The feature id for the 'Parts' containment reference list.
`static int` | `EXTRACTOR__ROLE` The feature id for the 'Role' attribute.
`static int` | `EXTRACTOR__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `EXTRACTOR_FEATURE_COUNT` The number of structural features of the 'Extractor' class.
`static int` | `HANDLER` The meta object id for the '`Handler`' class.
`static int` | `HANDLER__DETAILS` The feature id for the 'Details' attribute.
`static int` | `HANDLER__ID` The feature id for the 'Id' attribute.
`static int` | `HANDLER__JOIN_NODE` The feature id for the 'Join Node' reference.
`static int` | `HANDLER__NAME` The feature id for the 'Name' attribute.
`static int` | `HANDLER__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `HANDLER_FEATURE_COUNT` The number of structural features of the 'Handler' class.
`static int` | `JOIN_ENTRY` The meta object id for the '`Join Entry`' class.
`static int` | `JOIN_ENTRY__EVENTS` The feature id for the 'Events' reference list.
`static int` | `JOIN_ENTRY_FEATURE_COUNT` The number of structural features of the 'Join Entry' class.
`static int` | `JOIN_INPUT` The meta object id for the '`Join Input`' class.
`static int` | `JOIN_INPUT__DETAILS` The feature id for the 'Details' attribute.
`static int` | `JOIN_INPUT__ID` The feature id for the 'Id' attribute.
`static int` | `JOIN_INPUT__INDEX` The feature id for the 'Index' attribute.
`static int` | `JOIN_INPUT__JOIN_NODE` The feature id for the 'Join Node' reference.
`static int` | `JOIN_INPUT__NAME` The feature id for the 'Name' attribute.
`static int` | `JOIN_INPUT__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `JOIN_INPUT_COLLECTOR` The meta object id for the '`Join Input Collector`' class.
`static int` | `JOIN_INPUT_COLLECTOR__INDICES` The feature id for the 'Indices' attribute list.
`static int` | `JOIN_INPUT_COLLECTOR__JOIN_ENTRIES` The feature id for the 'Join Entries' containment reference list.
`static int` | `JOIN_INPUT_COLLECTOR_FEATURE_COUNT` The number of structural features of the 'Join Input Collector' class.
`static int` | `JOIN_INPUT_FEATURE_COUNT` The number of structural features of the 'Join Input' class.
`static int` | `JOIN_NODE` The meta object id for the '`Join Node`' class.
`static int` | `JOIN_NODE__COLLECTORS` The feature id for the 'Collectors' containment reference list.
`static int` | `JOIN_NODE__DETAILS` The feature id for the 'Details' attribute.
`static int` | `JOIN_NODE__HANDLER` The feature id for the 'Handler' reference.
`static int` | `JOIN_NODE__ID` The feature id for the 'Id' attribute.
`static int` | `JOIN_NODE__JOIN_INPUTS` The feature id for the 'Join Inputs' reference list.
`static int` | `JOIN_NODE__NAME` The feature id for the 'Name' attribute.
`static int` | `JOIN_NODE__NEXT` The feature id for the 'Next' reference.
`static int` | `JOIN_NODE__OUTPUT_INDICES` The feature id for the 'Output Indices' attribute list.
`static int` | `JOIN_NODE__PREDICATE` The feature id for the 'Predicate' containment reference.
`static int` | `JOIN_NODE__PREV` The feature id for the 'Prev' reference list.
`static int` | `JOIN_NODE__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `JOIN_NODE_FEATURE_COUNT` The number of structural features of the 'Join Node' class.
`static int` | `PREDICATE` The meta object id for the '`Predicate`' class.
`static int` | `PREDICATE__COST` The feature id for the 'Cost' attribute.
`static int` | `PREDICATE__DETAILS` The feature id for the 'Details' attribute.
`static int` | `PREDICATE__ID` The feature id for the 'Id' attribute.
`static int` | `PREDICATE__NAME` The feature id for the 'Name' attribute.
`static int` | `PREDICATE__PARAMETER_INDICES` The feature id for the 'Parameter Indices' attribute list.
`static int` | `PREDICATE__PARTS` The feature id for the 'Parts' containment reference list.
`static int` | `PREDICATE__ROLE` The feature id for the 'Role' attribute.
`static int` | `PREDICATE__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `PREDICATE_FEATURE_COUNT` The number of structural features of the 'Predicate' class.
`static int` | `PREDICATE_NODE` The meta object id for the '`Predicate Node`' class.
`static int` | `PREDICATE_NODE__DETAILS` The feature id for the 'Details' attribute.
`static int` | `PREDICATE_NODE__FALSE_CHILDREN` The feature id for the 'False Children' reference list.
`static int` | `PREDICATE_NODE__FALSE_OUTPUTS` The feature id for the 'False Outputs' reference list.
`static int` | `PREDICATE_NODE__ID` The feature id for the 'Id' attribute.
`static int` | `PREDICATE_NODE__IS_ROOT` The feature id for the 'Is Root' attribute.
`static int` | `PREDICATE_NODE__NAME` The feature id for the 'Name' attribute.
`static int` | `PREDICATE_NODE__PREDICATE` The feature id for the 'Predicate' containment reference.
`static int` | `PREDICATE_NODE__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `PREDICATE_NODE__TRUE_CHILDREN` The feature id for the 'True Children' reference list.
`static int` | `PREDICATE_NODE__TRUE_OUTPUTS` The feature id for the 'True Outputs' reference list.
`static int` | `PREDICATE_NODE_FEATURE_COUNT` The number of structural features of the 'Predicate Node' class.
`static int` | `PREDICATE_NODE_OUTPUT` The meta object id for the '`Predicate Node Output`' class.
`static int` | `PREDICATE_NODE_OUTPUT__DETAILS` The feature id for the 'Details' attribute.
`static int` | `PREDICATE_NODE_OUTPUT__ID` The feature id for the 'Id' attribute.
`static int` | `PREDICATE_NODE_OUTPUT__NAME` The feature id for the 'Name' attribute.
`static int` | `PREDICATE_NODE_OUTPUT__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `PREDICATE_NODE_OUTPUT_FEATURE_COUNT` The number of structural features of the 'Predicate Node Output' class.
`static int` | `SNAPSHOT` The meta object id for the '`Snapshot`' class.
`static int` | `SNAPSHOT__ELEMENTS` The feature id for the 'Elements' containment reference list.
`static int` | `SNAPSHOT__JVM_ID` The feature id for the 'Jvm Id' attribute.
`static int` | `SNAPSHOT__TIMESTAMP` The feature id for the 'Timestamp' attribute.
`static int` | `SNAPSHOT_ELEMENT` The meta object id for the '`Element`' class.
`static int` | `SNAPSHOT_ELEMENT__DETAILS` The feature id for the 'Details' attribute.
`static int` | `SNAPSHOT_ELEMENT__ID` The feature id for the 'Id' attribute.
`static int` | `SNAPSHOT_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` | `SNAPSHOT_ELEMENT__SNAPSHOT` The feature id for the 'Snapshot' container reference.
`static int` | `SNAPSHOT_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Element' class.
`static int` | `SNAPSHOT_FEATURE_COUNT` The number of structural features of the 'Snapshot' class.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getCompositeEvent_Parts()` Returns the meta object for the containment reference list '`Parts`'.
`org.eclipse.emf.ecore.EClass` | `getCompositeEvent()` Returns the meta object for class '`Composite Event`'.
`org.eclipse.emf.ecore.EReference` | `getDerivation_Handler()` Returns the meta object for the reference '`Handler`'.
`org.eclipse.emf.ecore.EReference` | `getDerivation_Inputs()` Returns the meta object for the reference list '`Inputs`'.
`org.eclipse.emf.ecore.EClass` | `getDerivation()` Returns the meta object for class '`Derivation`'.
`org.eclipse.emf.ecore.EReference` | `getEvent_Derivations()` Returns the meta object for the containment reference list '`Derivations`'.
`org.eclipse.emf.ecore.EAttribute` | `getEvent_DirectPost()` Returns the meta object for the attribute '`Direct Post`'.
`org.eclipse.emf.ecore.EAttribute` | `getEvent_PartRole()` Returns the meta object for the attribute '`Part Role`'.
`org.eclipse.emf.ecore.EClass` | `getEvent()` Returns the meta object for class '`Event`'.
`org.eclipse.emf.ecore.EAttribute` | `getExtractor_Cost()` Returns the meta object for the attribute '`Cost`'.
`org.eclipse.emf.ecore.EAttribute` | `getExtractor_ParameterIndices()` Returns the meta object for the attribute list '`Parameter Indices`'.
`org.eclipse.emf.ecore.EReference` | `getExtractor_Parts()` Returns the meta object for the containment reference list '`Parts`'.
`org.eclipse.emf.ecore.EAttribute` | `getExtractor_Role()` Returns the meta object for the attribute '`Role`'.
`org.eclipse.emf.ecore.EClass` | `getExtractor()` Returns the meta object for class '`Extractor`'.
`org.eclipse.emf.ecore.EReference` | `getHandler_JoinNode()` Returns the meta object for the reference '`Join Node`'.
`org.eclipse.emf.ecore.EClass` | `getHandler()` Returns the meta object for class '`Handler`'.
`org.eclipse.emf.ecore.EReference` | `getJoinEntry_Events()` Returns the meta object for the reference list '`Events`'.
`org.eclipse.emf.ecore.EClass` | `getJoinEntry()` Returns the meta object for class '`Join Entry`'.
`org.eclipse.emf.ecore.EAttribute` | `getJoinInput_Index()` Returns the meta object for the attribute '`Index`'.
`org.eclipse.emf.ecore.EReference` | `getJoinInput_JoinNode()` Returns the meta object for the reference '`Join Node`'.
`org.eclipse.emf.ecore.EClass` | `getJoinInput()` Returns the meta object for class '`Join Input`'.
`org.eclipse.emf.ecore.EAttribute` | `getJoinInputCollector_Indices()` Returns the meta object for the attribute list '`Indices`'.
`org.eclipse.emf.ecore.EReference` | `getJoinInputCollector_JoinEntries()` Returns the meta object for the containment reference list '`Join Entries`'.
`org.eclipse.emf.ecore.EClass` | `getJoinInputCollector()` Returns the meta object for class '`Join Input Collector`'.
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Collectors()` Returns the meta object for the containment reference list '`Collectors`'.
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Handler()` Returns the meta object for the reference '`Handler`'.
`org.eclipse.emf.ecore.EReference` | `getJoinNode_JoinInputs()` Returns the meta object for the reference list '`Join Inputs`'.
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Next()` Returns the meta object for the reference '`Next`'.
`org.eclipse.emf.ecore.EAttribute` | `getJoinNode_OutputIndices()` Returns the meta object for the attribute list '`Output Indices`'.
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Predicate()` Returns the meta object for the containment reference '`Predicate`'.
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Prev()` Returns the meta object for the reference list '`Prev`'.
`org.eclipse.emf.ecore.EClass` | `getJoinNode()` Returns the meta object for class '`Join Node`'.
`org.eclipse.emf.ecore.EClass` | `getPredicate()` Returns the meta object for class '`Predicate`'.
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_FalseChildren()` Returns the meta object for the reference list '`False Children`'.
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_FalseOutputs()` Returns the meta object for the reference list '`False Outputs`'.
`org.eclipse.emf.ecore.EAttribute` | `getPredicateNode_IsRoot()` Returns the meta object for the attribute '`Is Root`'.
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_Predicate()` Returns the meta object for the containment reference '`Predicate`'.
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_TrueChildren()` Returns the meta object for the reference list '`True Children`'.
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_TrueOutputs()` Returns the meta object for the reference list '`True Outputs`'.
`org.eclipse.emf.ecore.EClass` | `getPredicateNode()` Returns the meta object for class '`Predicate Node`'.
`org.eclipse.emf.ecore.EClass` | `getPredicateNodeOutput()` Returns the meta object for class '`Predicate Node Output`'.
`org.eclipse.emf.ecore.EReference` | `getSnapshot_Elements()` Returns the meta object for the containment reference list '`Elements`'.
`org.eclipse.emf.ecore.EAttribute` | `getSnapshot_JvmId()` Returns the meta object for the attribute '`Jvm Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getSnapshot_Timestamp()` Returns the meta object for the attribute '`Timestamp`'.
`org.eclipse.emf.ecore.EClass` | `getSnapshot()` Returns the meta object for class '`Snapshot`'.
`org.eclipse.emf.ecore.EAttribute` | `getSnapshotElement_Details()` Returns the meta object for the attribute '`Details`'.
`org.eclipse.emf.ecore.EAttribute` | `getSnapshotElement_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getSnapshotElement_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getSnapshotElement_Snapshot()` Returns the meta object for the container reference '`Snapshot`'.
`org.eclipse.emf.ecore.EClass` | `getSnapshotElement()` Returns the meta object for class '`Element`'.
`SnapshotFactory` | `getSnapshotFactory()` Returns the factory that creates the instances of the model.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SnapshotPackage eINSTANCE

  The singleton instance of the package.

### SNAPSHOT

    static final int SNAPSHOT

  The meta object id for the '`Snapshot`' class.

  See Also:
    `SnapshotImpl`, `SnapshotPackageImpl.getSnapshot()`, Constant Field Values

### SNAPSHOT__TIMESTAMP

    static final int SNAPSHOT__TIMESTAMP

  The feature id for the 'Timestamp' attribute.

  See Also:
    Constant Field Values

### SNAPSHOT__ELEMENTS

    static final int SNAPSHOT__ELEMENTS

  The feature id for the 'Elements' containment reference list.

  See Also:
    Constant Field Values

### SNAPSHOT__JVM_ID

    static final int SNAPSHOT__JVM_ID

  The feature id for the 'Jvm Id' attribute.

  See Also:
    Constant Field Values

### SNAPSHOT_FEATURE_COUNT

    static final int SNAPSHOT_FEATURE_COUNT

  The number of structural features of the 'Snapshot' class.

  See Also:
    Constant Field Values

### SNAPSHOT_ELEMENT

    static final int SNAPSHOT_ELEMENT

  The meta object id for the '`Element`' class.

  See Also:
    `SnapshotElement`, `SnapshotPackageImpl.getSnapshotElement()`, Constant Field Values

### SNAPSHOT_ELEMENT__ID

    static final int SNAPSHOT_ELEMENT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### SNAPSHOT_ELEMENT__NAME

    static final int SNAPSHOT_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SNAPSHOT_ELEMENT__DETAILS

    static final int SNAPSHOT_ELEMENT__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### SNAPSHOT_ELEMENT__SNAPSHOT

    static final int SNAPSHOT_ELEMENT__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### SNAPSHOT_ELEMENT_FEATURE_COUNT

    static final int SNAPSHOT_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Element' class.

  See Also:
    Constant Field Values

### PREDICATE_NODE_OUTPUT

    static final int PREDICATE_NODE_OUTPUT

  The meta object id for the '`Predicate Node Output`' class.

  See Also:
    `PredicateNodeOutput`, `SnapshotPackageImpl.getPredicateNodeOutput()`, Constant Field Values

### PREDICATE_NODE_OUTPUT__ID

    static final int PREDICATE_NODE_OUTPUT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### PREDICATE_NODE_OUTPUT__NAME

    static final int PREDICATE_NODE_OUTPUT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PREDICATE_NODE_OUTPUT__DETAILS

    static final int PREDICATE_NODE_OUTPUT__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### PREDICATE_NODE_OUTPUT__SNAPSHOT

    static final int PREDICATE_NODE_OUTPUT__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### PREDICATE_NODE_OUTPUT_FEATURE_COUNT

    static final int PREDICATE_NODE_OUTPUT_FEATURE_COUNT

  The number of structural features of the 'Predicate Node Output' class.

  See Also:
    Constant Field Values

### HANDLER

    static final int HANDLER

  The meta object id for the '`Handler`' class.

  See Also:
    `HandlerImpl`, `SnapshotPackageImpl.getHandler()`, Constant Field Values

### HANDLER__ID

    static final int HANDLER__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### HANDLER__NAME

    static final int HANDLER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### HANDLER__DETAILS

    static final int HANDLER__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### HANDLER__SNAPSHOT

    static final int HANDLER__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### HANDLER__JOIN_NODE

    static final int HANDLER__JOIN_NODE

  The feature id for the 'Join Node' reference.

  See Also:
    Constant Field Values

### HANDLER_FEATURE_COUNT

    static final int HANDLER_FEATURE_COUNT

  The number of structural features of the 'Handler' class.

  See Also:
    Constant Field Values

### DERIVATION

    static final int DERIVATION

  The meta object id for the '`Derivation`' class.

  See Also:
    `DerivationImpl`, `SnapshotPackageImpl.getDerivation()`, Constant Field Values

### DERIVATION__HANDLER

    static final int DERIVATION__HANDLER

  The feature id for the 'Handler' reference.

  See Also:
    Constant Field Values

### DERIVATION__INPUTS

    static final int DERIVATION__INPUTS

  The feature id for the 'Inputs' reference list.

  See Also:
    Constant Field Values

### DERIVATION_FEATURE_COUNT

    static final int DERIVATION_FEATURE_COUNT

  The number of structural features of the 'Derivation' class.

  See Also:
    Constant Field Values

### EVENT

    static final int EVENT

  The meta object id for the '`Event`' class.

  See Also:
    `EventImpl`, `SnapshotPackageImpl.getEvent()`, Constant Field Values

### EVENT__ID

    static final int EVENT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### EVENT__NAME

    static final int EVENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EVENT__DETAILS

    static final int EVENT__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### EVENT__SNAPSHOT

    static final int EVENT__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### EVENT__DERIVATIONS

    static final int EVENT__DERIVATIONS

  The feature id for the 'Derivations' containment reference list.

  See Also:
    Constant Field Values

### EVENT__PART_ROLE

    static final int EVENT__PART_ROLE

  The feature id for the 'Part Role' attribute.

  See Also:
    Constant Field Values

### EVENT__DIRECT_POST

    static final int EVENT__DIRECT_POST

  The feature id for the 'Direct Post' attribute.

  See Also:
    Constant Field Values

### EVENT_FEATURE_COUNT

    static final int EVENT_FEATURE_COUNT

  The number of structural features of the 'Event' class.

  See Also:
    Constant Field Values

### PREDICATE_NODE

    static final int PREDICATE_NODE

  The meta object id for the '`Predicate Node`' class.

  See Also:
    `PredicateNodeImpl`, `SnapshotPackageImpl.getPredicateNode()`, Constant Field Values

### PREDICATE_NODE__ID

    static final int PREDICATE_NODE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### PREDICATE_NODE__NAME

    static final int PREDICATE_NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PREDICATE_NODE__DETAILS

    static final int PREDICATE_NODE__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### PREDICATE_NODE__SNAPSHOT

    static final int PREDICATE_NODE__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### PREDICATE_NODE__TRUE_OUTPUTS

    static final int PREDICATE_NODE__TRUE_OUTPUTS

  The feature id for the 'True Outputs' reference list.

  See Also:
    Constant Field Values

### PREDICATE_NODE__FALSE_OUTPUTS

    static final int PREDICATE_NODE__FALSE_OUTPUTS

  The feature id for the 'False Outputs' reference list.

  See Also:
    Constant Field Values

### PREDICATE_NODE__TRUE_CHILDREN

    static final int PREDICATE_NODE__TRUE_CHILDREN

  The feature id for the 'True Children' reference list.

  See Also:
    Constant Field Values

### PREDICATE_NODE__FALSE_CHILDREN

    static final int PREDICATE_NODE__FALSE_CHILDREN

  The feature id for the 'False Children' reference list.

  See Also:
    Constant Field Values

### PREDICATE_NODE__IS_ROOT

    static final int PREDICATE_NODE__IS_ROOT

  The feature id for the 'Is Root' attribute.

  See Also:
    Constant Field Values

### PREDICATE_NODE__PREDICATE

    static final int PREDICATE_NODE__PREDICATE

  The feature id for the 'Predicate' containment reference.

  See Also:
    Constant Field Values

### PREDICATE_NODE_FEATURE_COUNT

    static final int PREDICATE_NODE_FEATURE_COUNT

  The number of structural features of the 'Predicate Node' class.

  See Also:
    Constant Field Values

### JOIN_INPUT

    static final int JOIN_INPUT

  The meta object id for the '`Join Input`' class.

  See Also:
    `JoinInputImpl`, `SnapshotPackageImpl.getJoinInput()`, Constant Field Values

### JOIN_INPUT__ID

    static final int JOIN_INPUT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### JOIN_INPUT__NAME

    static final int JOIN_INPUT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### JOIN_INPUT__DETAILS

    static final int JOIN_INPUT__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### JOIN_INPUT__SNAPSHOT

    static final int JOIN_INPUT__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### JOIN_INPUT__INDEX

    static final int JOIN_INPUT__INDEX

  The feature id for the 'Index' attribute.

  See Also:
    Constant Field Values

### JOIN_INPUT__JOIN_NODE

    static final int JOIN_INPUT__JOIN_NODE

  The feature id for the 'Join Node' reference.

  See Also:
    Constant Field Values

### JOIN_INPUT_FEATURE_COUNT

    static final int JOIN_INPUT_FEATURE_COUNT

  The number of structural features of the 'Join Input' class.

  See Also:
    Constant Field Values

### JOIN_NODE

    static final int JOIN_NODE

  The meta object id for the '`Join Node`' class.

  See Also:
    `JoinNodeImpl`, `SnapshotPackageImpl.getJoinNode()`, Constant Field Values

### JOIN_NODE__ID

    static final int JOIN_NODE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### JOIN_NODE__NAME

    static final int JOIN_NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### JOIN_NODE__DETAILS

    static final int JOIN_NODE__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### JOIN_NODE__SNAPSHOT

    static final int JOIN_NODE__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### JOIN_NODE__COLLECTORS

    static final int JOIN_NODE__COLLECTORS

  The feature id for the 'Collectors' containment reference list.

  See Also:
    Constant Field Values

### JOIN_NODE__OUTPUT_INDICES

    static final int JOIN_NODE__OUTPUT_INDICES

  The feature id for the 'Output Indices' attribute list.

  See Also:
    Constant Field Values

### JOIN_NODE__HANDLER

    static final int JOIN_NODE__HANDLER

  The feature id for the 'Handler' reference.

  See Also:
    Constant Field Values

### JOIN_NODE__NEXT

    static final int JOIN_NODE__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### JOIN_NODE__PREDICATE

    static final int JOIN_NODE__PREDICATE

  The feature id for the 'Predicate' containment reference.

  See Also:
    Constant Field Values

### JOIN_NODE__PREV

    static final int JOIN_NODE__PREV

  The feature id for the 'Prev' reference list.

  See Also:
    Constant Field Values

### JOIN_NODE__JOIN_INPUTS

    static final int JOIN_NODE__JOIN_INPUTS

  The feature id for the 'Join Inputs' reference list.

  See Also:
    Constant Field Values

### JOIN_NODE_FEATURE_COUNT

    static final int JOIN_NODE_FEATURE_COUNT

  The number of structural features of the 'Join Node' class.

  See Also:
    Constant Field Values

### JOIN_INPUT_COLLECTOR

    static final int JOIN_INPUT_COLLECTOR

  The meta object id for the '`Join Input Collector`' class.

  See Also:
    `JoinInputCollectorImpl`, `SnapshotPackageImpl.getJoinInputCollector()`, Constant Field Values

### JOIN_INPUT_COLLECTOR__INDICES

    static final int JOIN_INPUT_COLLECTOR__INDICES

  The feature id for the 'Indices' attribute list.

  See Also:
    Constant Field Values

### JOIN_INPUT_COLLECTOR__JOIN_ENTRIES

    static final int JOIN_INPUT_COLLECTOR__JOIN_ENTRIES

  The feature id for the 'Join Entries' containment reference list.

  See Also:
    Constant Field Values

### JOIN_INPUT_COLLECTOR_FEATURE_COUNT

    static final int JOIN_INPUT_COLLECTOR_FEATURE_COUNT

  The number of structural features of the 'Join Input Collector' class.

  See Also:
    Constant Field Values

### JOIN_ENTRY

    static final int JOIN_ENTRY

  The meta object id for the '`Join Entry`' class.

  See Also:
    `JoinEntryImpl`, `SnapshotPackageImpl.getJoinEntry()`, Constant Field Values

### JOIN_ENTRY__EVENTS

    static final int JOIN_ENTRY__EVENTS

  The feature id for the 'Events' reference list.

  See Also:
    Constant Field Values

### JOIN_ENTRY_FEATURE_COUNT

    static final int JOIN_ENTRY_FEATURE_COUNT

  The number of structural features of the 'Join Entry' class.

  See Also:
    Constant Field Values

### EXTRACTOR

    static final int EXTRACTOR

  The meta object id for the '`Extractor`' class.

  See Also:
    `ExtractorImpl`, `SnapshotPackageImpl.getExtractor()`, Constant Field Values

### EXTRACTOR__ID

    static final int EXTRACTOR__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### EXTRACTOR__NAME

    static final int EXTRACTOR__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EXTRACTOR__DETAILS

    static final int EXTRACTOR__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### EXTRACTOR__SNAPSHOT

    static final int EXTRACTOR__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### EXTRACTOR__ROLE

    static final int EXTRACTOR__ROLE

  The feature id for the 'Role' attribute.

  See Also:
    Constant Field Values

### EXTRACTOR__PARTS

    static final int EXTRACTOR__PARTS

  The feature id for the 'Parts' containment reference list.

  See Also:
    Constant Field Values

### EXTRACTOR__PARAMETER_INDICES

    static final int EXTRACTOR__PARAMETER_INDICES

  The feature id for the 'Parameter Indices' attribute list.

  See Also:
    Constant Field Values

### EXTRACTOR__COST

    static final int EXTRACTOR__COST

  The feature id for the 'Cost' attribute.

  See Also:
    Constant Field Values

### EXTRACTOR_FEATURE_COUNT

    static final int EXTRACTOR_FEATURE_COUNT

  The number of structural features of the 'Extractor' class.

  See Also:
    Constant Field Values

### PREDICATE

    static final int PREDICATE

  The meta object id for the '`Predicate`' class.

  See Also:
    `PredicateImpl`, `SnapshotPackageImpl.getPredicate()`, Constant Field Values

### PREDICATE__ID

    static final int PREDICATE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### PREDICATE__NAME

    static final int PREDICATE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PREDICATE__DETAILS

    static final int PREDICATE__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### PREDICATE__SNAPSHOT

    static final int PREDICATE__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### PREDICATE__ROLE

    static final int PREDICATE__ROLE

  The feature id for the 'Role' attribute.

  See Also:
    Constant Field Values

### PREDICATE__PARTS

    static final int PREDICATE__PARTS

  The feature id for the 'Parts' containment reference list.

  See Also:
    Constant Field Values

### PREDICATE__PARAMETER_INDICES

    static final int PREDICATE__PARAMETER_INDICES

  The feature id for the 'Parameter Indices' attribute list.

  See Also:
    Constant Field Values

### PREDICATE__COST

    static final int PREDICATE__COST

  The feature id for the 'Cost' attribute.

  See Also:
    Constant Field Values

### PREDICATE_FEATURE_COUNT

    static final int PREDICATE_FEATURE_COUNT

  The number of structural features of the 'Predicate' class.

  See Also:
    Constant Field Values

### COMPOSITE_EVENT

    static final int COMPOSITE_EVENT

  The meta object id for the '`Composite Event`' class.

  See Also:
    `CompositeEventImpl`, `SnapshotPackageImpl.getCompositeEvent()`, Constant Field Values

### COMPOSITE_EVENT__ID

    static final int COMPOSITE_EVENT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### COMPOSITE_EVENT__NAME

    static final int COMPOSITE_EVENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### COMPOSITE_EVENT__DETAILS

    static final int COMPOSITE_EVENT__DETAILS

  The feature id for the 'Details' attribute.

  See Also:
    Constant Field Values

### COMPOSITE_EVENT__SNAPSHOT

    static final int COMPOSITE_EVENT__SNAPSHOT

  The feature id for the 'Snapshot' container reference.

  See Also:
    Constant Field Values

### COMPOSITE_EVENT__DERIVATIONS

    static final int COMPOSITE_EVENT__DERIVATIONS

  The feature id for the 'Derivations' containment reference list.

  See Also:
    Constant Field Values

### COMPOSITE_EVENT__PART_ROLE

    static final int COMPOSITE_EVENT__PART_ROLE

  The feature id for the 'Part Role' attribute.

  See Also:
    Constant Field Values

### COMPOSITE_EVENT__DIRECT_POST

    static final int COMPOSITE_EVENT__DIRECT_POST

  The feature id for the 'Direct Post' attribute.

  See Also:
    Constant Field Values

### COMPOSITE_EVENT__PARTS

    static final int COMPOSITE_EVENT__PARTS

  The feature id for the 'Parts' containment reference list.

  See Also:
    Constant Field Values

### COMPOSITE_EVENT_FEATURE_COUNT

    static final int COMPOSITE_EVENT_FEATURE_COUNT

  The number of structural features of the 'Composite Event' class.

  See Also:
    Constant Field Values

Method Detail

### getSnapshot

    org.eclipse.emf.ecore.EClass getSnapshot()

  Returns the meta object for class '`Snapshot`'.

  Returns:
    the meta object for class 'Snapshot'.
  See Also:
    `Snapshot`

### getSnapshot_Timestamp

    org.eclipse.emf.ecore.EAttribute getSnapshot_Timestamp()

  Returns the meta object for the attribute '`Timestamp`'.

  Returns:
    the meta object for the attribute 'Timestamp'.
  See Also:
    `Snapshot.getTimestamp()`, `getSnapshot()`

### getSnapshot_Elements

    org.eclipse.emf.ecore.EReference getSnapshot_Elements()

  Returns the meta object for the containment reference list '`Elements`'.

  Returns:
    the meta object for the containment reference list 'Elements'.
  See Also:
    `Snapshot.getElements()`, `getSnapshot()`

### getSnapshot_JvmId

    org.eclipse.emf.ecore.EAttribute getSnapshot_JvmId()

  Returns the meta object for the attribute '`Jvm Id`'.

  Returns:
    the meta object for the attribute 'Jvm Id'.
  See Also:
    `Snapshot.getJvmId()`, `getSnapshot()`

### getSnapshotElement

    org.eclipse.emf.ecore.EClass getSnapshotElement()

  Returns the meta object for class '`Element`'.

  Returns:
    the meta object for class 'Element'.
  See Also:
    `SnapshotElement`

### getSnapshotElement_Id

    org.eclipse.emf.ecore.EAttribute getSnapshotElement_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SnapshotElement.getId()`, `getSnapshotElement()`

### getSnapshotElement_Name

    org.eclipse.emf.ecore.EAttribute getSnapshotElement_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `SnapshotElement.getName()`, `getSnapshotElement()`

### getSnapshotElement_Details

    org.eclipse.emf.ecore.EAttribute getSnapshotElement_Details()

  Returns the meta object for the attribute '`Details`'.

  Returns:
    the meta object for the attribute 'Details'.
  See Also:
    `SnapshotElement.getDetails()`, `getSnapshotElement()`

### getSnapshotElement_Snapshot

    org.eclipse.emf.ecore.EReference getSnapshotElement_Snapshot()

  Returns the meta object for the container reference '`Snapshot`'.

  Returns:
    the meta object for the container reference 'Snapshot'.
  See Also:
    `SnapshotElement.getSnapshot()`, `getSnapshotElement()`

### getHandler

    org.eclipse.emf.ecore.EClass getHandler()

  Returns the meta object for class '`Handler`'.

  Returns:
    the meta object for class 'Handler'.
  See Also:
    `Handler`

### getHandler_JoinNode

    org.eclipse.emf.ecore.EReference getHandler_JoinNode()

  Returns the meta object for the reference '`Join Node`'.

  Returns:
    the meta object for the reference 'Join Node'.
  See Also:
    `Handler.getJoinNode()`, `getHandler()`

### getDerivation

    org.eclipse.emf.ecore.EClass getDerivation()

  Returns the meta object for class '`Derivation`'.

  Returns:
    the meta object for class 'Derivation'.
  See Also:
    `Derivation`

### getDerivation_Handler

    org.eclipse.emf.ecore.EReference getDerivation_Handler()

  Returns the meta object for the reference '`Handler`'.

  Returns:
    the meta object for the reference 'Handler'.
  See Also:
    `Derivation.getHandler()`, `getDerivation()`

### getDerivation_Inputs

    org.eclipse.emf.ecore.EReference getDerivation_Inputs()

  Returns the meta object for the reference list '`Inputs`'.

  Returns:
    the meta object for the reference list 'Inputs'.
  See Also:
    `Derivation.getInputs()`, `getDerivation()`

### getEvent

    org.eclipse.emf.ecore.EClass getEvent()

  Returns the meta object for class '`Event`'.

  Returns:
    the meta object for class 'Event'.
  See Also:
    `Event`

### getEvent_Derivations

    org.eclipse.emf.ecore.EReference getEvent_Derivations()

  Returns the meta object for the containment reference list '`Derivations`'.

  Returns:
    the meta object for the containment reference list 'Derivations'.
  See Also:
    `Event.getDerivations()`, `getEvent()`

### getEvent_PartRole

    org.eclipse.emf.ecore.EAttribute getEvent_PartRole()

  Returns the meta object for the attribute '`Part Role`'.

  Returns:
    the meta object for the attribute 'Part Role'.
  See Also:
    `Event.getPartRole()`, `getEvent()`

### getEvent_DirectPost

    org.eclipse.emf.ecore.EAttribute getEvent_DirectPost()

  Returns the meta object for the attribute '`Direct Post`'.

  Returns:
    the meta object for the attribute 'Direct Post'.
  See Also:
    `Event.isDirectPost()`, `getEvent()`

### getPredicateNode

    org.eclipse.emf.ecore.EClass getPredicateNode()

  Returns the meta object for class '`Predicate Node`'.

  Returns:
    the meta object for class 'Predicate Node'.
  See Also:
    `PredicateNode`

### getPredicateNode_TrueOutputs

    org.eclipse.emf.ecore.EReference getPredicateNode_TrueOutputs()

  Returns the meta object for the reference list '`True Outputs`'.

  Returns:
    the meta object for the reference list 'True Outputs'.
  See Also:
    `PredicateNode.getTrueOutputs()`, `getPredicateNode()`

### getPredicateNode_FalseOutputs

    org.eclipse.emf.ecore.EReference getPredicateNode_FalseOutputs()

  Returns the meta object for the reference list '`False Outputs`'.

  Returns:
    the meta object for the reference list 'False Outputs'.
  See Also:
    `PredicateNode.getFalseOutputs()`, `getPredicateNode()`

### getPredicateNode_TrueChildren

    org.eclipse.emf.ecore.EReference getPredicateNode_TrueChildren()

  Returns the meta object for the reference list '`True Children`'.

  Returns:
    the meta object for the reference list 'True Children'.
  See Also:
    `PredicateNode.getTrueChildren()`, `getPredicateNode()`

### getPredicateNode_FalseChildren

    org.eclipse.emf.ecore.EReference getPredicateNode_FalseChildren()

  Returns the meta object for the reference list '`False Children`'.

  Returns:
    the meta object for the reference list 'False Children'.
  See Also:
    `PredicateNode.getFalseChildren()`, `getPredicateNode()`

### getPredicateNode_IsRoot

    org.eclipse.emf.ecore.EAttribute getPredicateNode_IsRoot()

  Returns the meta object for the attribute '`Is Root`'.

  Returns:
    the meta object for the attribute 'Is Root'.
  See Also:
    `PredicateNode.isIsRoot()`, `getPredicateNode()`

### getPredicateNode_Predicate

    org.eclipse.emf.ecore.EReference getPredicateNode_Predicate()

  Returns the meta object for the containment reference '`Predicate`'.

  Returns:
    the meta object for the containment reference 'Predicate'.
  See Also:
    `PredicateNode.getPredicate()`, `getPredicateNode()`

### getPredicateNodeOutput

    org.eclipse.emf.ecore.EClass getPredicateNodeOutput()

  Returns the meta object for class '`Predicate Node Output`'.

  Returns:
    the meta object for class 'Predicate Node Output'.
  See Also:
    `PredicateNodeOutput`

### getJoinInput

    org.eclipse.emf.ecore.EClass getJoinInput()

  Returns the meta object for class '`Join Input`'.

  Returns:
    the meta object for class 'Join Input'.
  See Also:
    `JoinInput`

### getJoinInput_Index

    org.eclipse.emf.ecore.EAttribute getJoinInput_Index()

  Returns the meta object for the attribute '`Index`'.

  Returns:
    the meta object for the attribute 'Index'.
  See Also:
    `JoinInput.getIndex()`, `getJoinInput()`

### getJoinInput_JoinNode

    org.eclipse.emf.ecore.EReference getJoinInput_JoinNode()

  Returns the meta object for the reference '`Join Node`'.

  Returns:
    the meta object for the reference 'Join Node'.
  See Also:
    `JoinInput.getJoinNode()`, `getJoinInput()`

### getJoinNode

    org.eclipse.emf.ecore.EClass getJoinNode()

  Returns the meta object for class '`Join Node`'.

  Returns:
    the meta object for class 'Join Node'.
  See Also:
    `JoinNode`

### getJoinNode_Collectors

    org.eclipse.emf.ecore.EReference getJoinNode_Collectors()

  Returns the meta object for the containment reference list '`Collectors`'.

  Returns:
    the meta object for the containment reference list 'Collectors'.
  See Also:
    `JoinNode.getCollectors()`, `getJoinNode()`

### getJoinNode_OutputIndices

    org.eclipse.emf.ecore.EAttribute getJoinNode_OutputIndices()

  Returns the meta object for the attribute list '`Output Indices`'.

  Returns:
    the meta object for the attribute list 'Output Indices'.
  See Also:
    `JoinNode.getOutputIndices()`, `getJoinNode()`

### getJoinNode_Handler

    org.eclipse.emf.ecore.EReference getJoinNode_Handler()

  Returns the meta object for the reference '`Handler`'.

  Returns:
    the meta object for the reference 'Handler'.
  See Also:
    `JoinNode.getHandler()`, `getJoinNode()`

### getJoinNode_Next

    org.eclipse.emf.ecore.EReference getJoinNode_Next()

  Returns the meta object for the reference '`Next`'.

  Returns:
    the meta object for the reference 'Next'.
  See Also:
    `JoinNode.getNext()`, `getJoinNode()`

### getJoinNode_Predicate

    org.eclipse.emf.ecore.EReference getJoinNode_Predicate()

  Returns the meta object for the containment reference '`Predicate`'.

  Returns:
    the meta object for the containment reference 'Predicate'.
  See Also:
    `JoinNode.getPredicate()`, `getJoinNode()`

### getJoinNode_Prev

    org.eclipse.emf.ecore.EReference getJoinNode_Prev()

  Returns the meta object for the reference list '`Prev`'.

  Returns:
    the meta object for the reference list 'Prev'.
  See Also:
    `JoinNode.getPrev()`, `getJoinNode()`

### getJoinNode_JoinInputs

    org.eclipse.emf.ecore.EReference getJoinNode_JoinInputs()

  Returns the meta object for the reference list '`Join Inputs`'.

  Returns:
    the meta object for the reference list 'Join Inputs'.
  See Also:
    `JoinNode.getJoinInputs()`, `getJoinNode()`

### getJoinInputCollector

    org.eclipse.emf.ecore.EClass getJoinInputCollector()

  Returns the meta object for class '`Join Input Collector`'.

  Returns:
    the meta object for class 'Join Input Collector'.
  See Also:
    `JoinInputCollector`

### getJoinInputCollector_Indices

    org.eclipse.emf.ecore.EAttribute getJoinInputCollector_Indices()

  Returns the meta object for the attribute list '`Indices`'.

  Returns:
    the meta object for the attribute list 'Indices'.
  See Also:
    `JoinInputCollector.getIndices()`, `getJoinInputCollector()`

### getJoinInputCollector_JoinEntries

    org.eclipse.emf.ecore.EReference getJoinInputCollector_JoinEntries()

  Returns the meta object for the containment reference list '`Join Entries`'.

  Returns:
    the meta object for the containment reference list 'Join Entries'.
  See Also:
    `JoinInputCollector.getJoinEntries()`, `getJoinInputCollector()`

### getJoinEntry

    org.eclipse.emf.ecore.EClass getJoinEntry()

  Returns the meta object for class '`Join Entry`'.

  Returns:
    the meta object for class 'Join Entry'.
  See Also:
    `JoinEntry`

### getJoinEntry_Events

    org.eclipse.emf.ecore.EReference getJoinEntry_Events()

  Returns the meta object for the reference list '`Events`'.

  Returns:
    the meta object for the reference list 'Events'.
  See Also:
    `JoinEntry.getEvents()`, `getJoinEntry()`

### getExtractor

    org.eclipse.emf.ecore.EClass getExtractor()

  Returns the meta object for class '`Extractor`'.

  Returns:
    the meta object for class 'Extractor'.
  See Also:
    `Extractor`

### getExtractor_Role

    org.eclipse.emf.ecore.EAttribute getExtractor_Role()

  Returns the meta object for the attribute '`Role`'.

  Returns:
    the meta object for the attribute 'Role'.
  See Also:
    `Extractor.getRole()`, `getExtractor()`

### getExtractor_Parts

    org.eclipse.emf.ecore.EReference getExtractor_Parts()

  Returns the meta object for the containment reference list '`Parts`'.

  Returns:
    the meta object for the containment reference list 'Parts'.
  See Also:
    `Extractor.getParts()`, `getExtractor()`

### getExtractor_ParameterIndices

    org.eclipse.emf.ecore.EAttribute getExtractor_ParameterIndices()

  Returns the meta object for the attribute list '`Parameter Indices`'.

  Returns:
    the meta object for the attribute list 'Parameter Indices'.
  See Also:
    `Extractor.getParameterIndices()`, `getExtractor()`

### getExtractor_Cost

    org.eclipse.emf.ecore.EAttribute getExtractor_Cost()

  Returns the meta object for the attribute '`Cost`'.

  Returns:
    the meta object for the attribute 'Cost'.
  See Also:
    `Extractor.getCost()`, `getExtractor()`

### getPredicate

    org.eclipse.emf.ecore.EClass getPredicate()

  Returns the meta object for class '`Predicate`'.

  Returns:
    the meta object for class 'Predicate'.
  See Also:
    `Predicate`

### getCompositeEvent

    org.eclipse.emf.ecore.EClass getCompositeEvent()

  Returns the meta object for class '`Composite Event`'.

  Returns:
    the meta object for class 'Composite Event'.
  See Also:
    `CompositeEvent`

### getCompositeEvent_Parts

    org.eclipse.emf.ecore.EReference getCompositeEvent_Parts()

  Returns the meta object for the containment reference list '`Parts`'.

  Returns:
    the meta object for the containment reference list 'Parts'.
  See Also:
    `CompositeEvent.getParts()`, `getCompositeEvent()`

### getSnapshotFactory

    SnapshotFactory getSnapshotFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD